query listTeamMember @auth(level: USER) {
  teamMembers {
    id
    teamId
    memberName
    email
    role
    isActive
  }
}

query getTeamMemberById(
  $id: UUID!
) @auth(level: USER) {
  teamMember(id: $id) {
    id
    teamId
    memberName
    email
    role
    isActive
  }
}

query filterTeamMember(
  $teamId: UUID,
  $memberName: String,
  $email: String,
  $role: TeamMemberRole,
  $isActive: Boolean
) @auth(level: USER) {
  teamMembers(
    where: {
      teamId: { eq: $teamId }
      memberName: { eq: $memberName }
      email: { eq: $email }
      role: { eq: $role }
      isActive: { eq: $isActive }
    }
  ) {
    id
    teamId
    memberName
    email
    role
    isActive
  }
}
